# Missions

**`id`** - Unique mission identifier (you will be updating this for players progression)\
\&#xNAN;**`title`** - Mission name\
\&#xNAN;**`desc`** - Mission description\
\&#xNAN;**`needed_progress`** - Required count of the needed task to complete\
\&#xNAN;**`type`** - Type of the mission (daily, weekly, monthly)

reward = { \
\&#xNAN;**`item`** - Item respname\
\&#xNAN;**`label`** - Reward name displayed to the player\
\&#xNAN;**`count`** - Number of rewards\
\&#xNAN;**`type`** - Type of reward (item, vehicle, money) \
}

***

{% code title="shared/config.lua" %}

````lua
Config.Missions = {
    daily = {
        {
            id = 'mission_1',
            title = "Drive 10 km",
            desc = "Get behind the wheel and drive a total of 10 km around the city.",
            needed_progress = 10,
            type = 'daily',
            reward = {
                item = 'bread',
                label = 'Bread',
                count = 1,
                type = 'item',
            }
        },
        -- ...  
    },
    weekly = {
        {
            id = 'mission_7',
            title = "Weekly Mission 1",
            desc = "Win 3 races.",
            needed_progress = 3,
            type = 'weekly',
            reward = {
                item = 'bread',
                label = 'Bread',
                count = 1,
                type = 'item',
            }
        },
        -- ...
    },
    monthly = {
        {
            id = 'mission_9',
            title = "Monthly Mission 1",
            desc = "Gather 50 items.",
            needed_progress = 50,
            type = 'monthly',
            reward = {
                item = 'bread',
                label = 'Bread',
                count = 1,
                type = 'item',
            }
        },
        -- ...
    }
}
```
````

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kojascripts.eu/new/daily-rewards/configuration/missions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
